##### リスト2.1 #####
# t分布を用いた区間推定の実行 (各統計量を各々計算する場合)
nenpi <- c(31.1, 29.6, 31.8, 30.8, 29.0, 28.3, 28.3, 28.8)
xbar <- mean(nenpi)
U <- var(nenpi)

# t分布の下側パーセント点 (自由度7のt分布の累積確率97.5%の点)
t <- qt(0.975, 7)

# 信頼下限
xbar - t * (sqrt(U/8))

# 信頼上限
xbar + t * (sqrt(U/8))

# t分布を用いた区間推定の実行 (関数を用いる場合)
t.test(nenpi, conf.level=0.95)
