##### リスト3.1 #####
# データの読み込み
diet <- c(2.6, 3.8, 3.1, 3.9, 4.0)
t.test(diet, mu=3.0, alternative = "greater")


##### リスト3.2 #####
# データはdietを利用
t.test(diet, mu=3.0)


##### リスト3.3 #####
# Rに組み込まれているStudentの睡眠薬のデータ
data <- sleep
A <- subset(data, data$group==1)
B <- subset(data, data$group==2)

# 等分散と判断される場合(2標本t検定)
t.test(A$extra,B$extra, var.equal = TRUE)


##### リスト3.4 #####
# 等分散と判断されない場合(ウェルチの検定)
t.test(A$extra,B$extra, var.equal = FALSE)


##### リスト3.5 #####
# Rに組み込まれているStudentの睡眠薬のデータ
data <- sleep
A <- subset(data, data$group==1)
B <- subset(data, data$group==2)

# A群とB群の等分散性を検定により確認
var.test(A$extra,B$extra)


##### リスト3.6 #####
# 表3.1の読み込み
bas <- read.csv("表3.1.csv", header=TRUE)
bas

# チーム名を因子として認識させるためのコマンド
bas$チーム <- factor(bas$チーム)
result <- aov(試投数 ~ チーム, data=bas)
summary(result)
