##### リスト6.1 #####
library(lme4)
attach(grouseticks)
result <- glm(TICKS~HEIGHT, family="poisson")
summary(result)

logLik(result)


##### リスト6.2 #####
library(MASS)
nbresult <- glm.nb(TICKS ~ HEIGHT)
summary(nbresult)

##### リスト6.3 #####
library(pscl)
zipresult <- zeroinfl(TICKS ~ HEIGHT | 1, data=grouseticks)
summary(zipresult)


##### リスト6.4 #####
qresult <- glm(TICKS ~ HEIGHT, family=quasipoisson)
summary(qresult)


##### リスト6.5 #####
library(Zelig)
data(coalition)
#ガンマ回帰（連結関数：対数関数）
result <- glm(duration ~ fract + numst2, data = 
                    + coalition, family = Gamma(link="log"))
# 連結関数に逆関数を用いる場合は, 次を実行
# result <- glm(duration ~ fract + numst2, data = 
#  + coalition, family = Gamma(link="inverse"))
summary(result)




